import { render, unmountComponentAtNode } from "react-dom";
import SensorData from "../routes/SensorData";
import { screen } from "@testing-library/react";

let conteneur = null;
beforeEach(() => {
  // met en place un élément DOM comme cible de rendu
  conteneur = document.createElement("div");
  document.body.appendChild(conteneur);
});

afterEach(() => {
  // nettoie en sortie de test
  try {
    unmountComponentAtNode(conteneur);
  } catch (ignored) {}
  conteneur.remove();
  conteneur = null;
});
